org.apache.xalan.xsltc.compiler.util

## Class TypeCheckError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.xalan.xsltc.compiler.util.TypeCheckError

All Implemented Interfaces:
  java.io.Serializable

    public class TypeCheckError
    extends java.lang.Exception

Author:
  Jacek Ambroziak, Santiago Pericas-Geertsen
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TypeCheckError(ErrorMsg error)`
`TypeCheckError(java.lang.String code, java.lang.Object param)`
`TypeCheckError(java.lang.String code, java.lang.Object param1, java.lang.Object param2)`
`TypeCheckError(SyntaxTreeNode node)`

### Method Summary

Methods
`ErrorMsg` `getErrorMsg()`
`java.lang.String` `getMessage()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TypeCheckError

    public TypeCheckError(SyntaxTreeNode node)

#### TypeCheckError

    public TypeCheckError(ErrorMsg error)

#### TypeCheckError

    public TypeCheckError(java.lang.String code,
                  java.lang.Object param)

#### TypeCheckError

    public TypeCheckError(java.lang.String code,
                  java.lang.Object param1,
                  java.lang.Object param2)

### Method Detail

#### getErrorMsg

    public ErrorMsg getErrorMsg()

#### getMessage

    public java.lang.String getMessage()

Overrides:
  `getMessage` in class `java.lang.Throwable`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Throwable`